package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.AssetOfficialAccount;
import com.ruoyi.tc.entity.request.AssetOfficialAccountPageRequest;

import java.util.List;

/**
 * 公众号资产(asset_official_account)表服务接口
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
public interface AssetOfficialAccountService extends IService<AssetOfficialAccount> {
    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param as   查询实体
     * @return 所有数据
     */
    Page<AssetOfficialAccount> page(Page<AssetOfficialAccount> page, AssetOfficialAccountPageRequest as);

    /**
     * 逻辑删除
     */
    void deleteById(Long id);

    /**
     * 查询所有数据
     *
     * @param as   查询实体
     * @return 所有数据
     */
    List<AssetOfficialAccount> getAllList(AssetOfficialAccountPageRequest as);


    /**
     * 根据单位查询资产总数
     *
     * @param part 单位
     * @return
     */
    Integer findBydwmc(String part);

    /**
     * 删除
     * @param idList
     */
    void deleteIdList(List<Long> idList);
}
