package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.AssetOfficialAccount;
import com.ruoyi.tc.entity.request.AssetOfficialAccountPageRequest;
import com.ruoyi.tc.mapper.AssetOfficialAccountMapper;
import com.ruoyi.tc.service.AssetOfficialAccountService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 公众号资产(asset_official_account)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetOfficialAccountService")
public class AssetOfficialAccountServiceImpl extends ServiceImpl<AssetOfficialAccountMapper, AssetOfficialAccount> implements AssetOfficialAccountService{
    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param as   查询实体
     * @return 所有数据
     */
    @Override
    public Page<AssetOfficialAccount> page(Page<AssetOfficialAccount> page, AssetOfficialAccountPageRequest as) {
        return baseMapper.page(page,as);
    }

    /**
     * 逻辑删除
     */
    @Override
    public void deleteById(Long id) {
         baseMapper.deleteById(id);
    }


    /**
     * 查询所有数据
     *
     * @param as   查询实体
     * @return 所有数据
     */
    @Override
    public List<AssetOfficialAccount> getAllList(AssetOfficialAccountPageRequest as) {
        return baseMapper.page(as);
    }


    @Override
    public void deleteIdList(List<Long> idList) {
        baseMapper.deleteIdList(idList);
    }



    @Override
    public Integer findBydwmc(String part) {
        return baseMapper.findBydwmc(part);
    }
}
